Data Fields

# yaml_document_s Struct Reference
[Nodes]

The document structure. More...

`#include <yaml.h>`

## Data Fields
struct {
yaml_node_t * start
| The beginning of the stack.
yaml_node_t * end
| The end of the stack.
yaml_node_t * top
| The top of the stack.
} | nodes
| The document nodes.
yaml_version_directive_t * | version_directive
| The version directive.
struct {
yaml_tag_directive_t * start
| The beginning of the tag directives list.
yaml_tag_directive_t * end
| The end of the tag directives list.
} | tag_directives
| The list of tag directives.
int | start_implicit
| Is the document start indicator implicit?
int | end_implicit
| Is the document end indicator implicit?
yaml_mark_t | start_mark
| The beginning of the document.
yaml_mark_t | end_mark
| The end of the document.

## Detailed Description

The document structure.

## Field Documentation

yaml_node_t* yaml_document_s::start

The beginning of the stack.

yaml_node_t* yaml_document_s::end

The end of the stack.

yaml_node_t* yaml_document_s::top

The top of the stack.

struct { ... } yaml_document_s::nodes

The document nodes.

yaml_version_directive_t* yaml_document_s::version_directive

The version directive.

yaml_tag_directive_t* yaml_document_s::start

The beginning of the tag directives list.

yaml_tag_directive_t* yaml_document_s::end

The end of the tag directives list.

struct { ... } yaml_document_s::tag_directives

The list of tag directives.

yaml_mark_t yaml_document_s::start_mark

The beginning of the document.

yaml_mark_t yaml_document_s::end_mark

The end of the document.

The documentation for this struct was generated from the following file:

- yaml.h